<?php
include_once("config/conexion.php");
$link = conectar(); 
session_start();
if (!$_SESSION){
echo '<script language = javascript>
self.location = "index.php"
</script>';
}
$usuario = $_SESSION['persona'];
$consulta= "SELECT nombres_per, apellidos_per,id_per FROM persona WHERE id_per='".$usuario."'"; 
$resultado= mysql_query($consulta,$link) or die (mysql_error());
$fila=mysql_fetch_array($resultado);
$nombres = $fila['nombres_per']; $apellidos = $fila['apellidos_per']; $id_usuario=$fila['id_per'];
$tusuario = $_SESSION['seguridad'];
$consulta= "SELECT tipo_tip FROM tipo_usuario WHERE id_tip='".$tusuario."'"; 
$resultado= mysql_query($consulta,$link) or die (mysql_error());
$fila=mysql_fetch_array($resultado);
$usuario = $fila['tipo_tip'];
?>
<?php 
echo"<meta http-equiv='Content-Type' content='text/html; charset=utf-8'/>";


require('clases/cliente.class.php');
$objCliente=new Cliente;
$consulta=$objCliente->mostrar_clientes();
?>
<script type="text/javascript">
$(document).ready(function(){
	// mostrar formulario de actualizar datos
	$("table tr .modi a").click(function(){
		$('#tabla').hide();
		$("#formulario").show();
		$.ajax({
			url: this.href,
			type: "GET",
			success: function(datos){
				$("#formulario").html(datos);
			}
		});
		return false;
	});
	
	// llamar a formulario nuevo
	$("#nuevo a").click(function(){
		$("#formulario").show();
		$("#tabla").hide();
		$.ajax({
			type: "GET",
			url: 'nuevo.php',
			success: function(datos){
				$("#formulario").html(datos);
			}
		});
		return false;
	});
});

</script>
<p><span id="nuevo"><a href="nuevo.php" style="margin-left:18px;"><img src="img/nuevo.png" alt="Agregar dato" /></a></span></p>
<table>
   		<tr>
   			<th>Cedula</th>
    		<th>Apellidos</th>
    		<th>Nombres</th>
    		<th>Lugar Nacimiento</th>
            <th>Fecha Nacimiento</th>
            <th></th>
            <th></th>
        </tr>
<?php
if($consulta) {
	while( $cliente = mysql_fetch_array($consulta) ){
	?>
	
		  <tr id="fila-<?php echo utf8_encode($cliente['id_per']) ?>">
			  <td><?php echo utf8_encode($cliente['cedula_asp']) ?></td>
			  <td><?php echo utf8_encode($cliente['apellidos_per']) ?></td>
			  <td><?php echo utf8_encode($cliente['nombres_per']) ?></td>
			  <td><?php echo utf8_encode($cliente['lugarNac_per']) ?></td>
			  <td><?php echo utf8_encode($cliente['fechaNac_per']) ?></td>
			  <td><span class="modi"><a href="actualizar.php?id_per=<?php echo $cliente['id_per'] ?>"><img src="img/editar.png" title="Editar" alt="Editar" /></a></span></td>
			  <td><span class="dele"><a onClick="EliminarDato(<?php echo $cliente['id_per'] ?>); return false" href="eliminar.php?id_per=<?php echo $cliente['id_per'] ?>"><img src="img/eliminar.png" title="Eliminar" alt="Eliminar" /></a></span></td>
		  </tr>
	<?php
	}
}
?>
    </table> <br />